Subject: Re: Subject: [PATCH] Push to create

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 3 Mar 2009 10:41:06 -0800

Theodore Tso <[email-masked]> wrote:
> On Tue, Mar 03, 2009 at 12:30:46AM -0800, Junio C Hamano wrote:
> > Jeff King <[email-masked]> writes:
> > 
> > > But I think that coincides with what I was trying to say in my original
> > > response to the series, which is "this issue is complex, and we need to
> > > hear from the people who would really want this exactly what it is they
> > > want".
> > 
> > And we haven't heard from them at all, unless you and/or Shawn are
> > interested.  After all we may not have to worry about this at all ;-)
> 
> Junio, I assume you saw Scott James Remnant blog posts, "Git Sucks"?
> 
>        http://www.netsplit.com/2009/02/17/git-sucks/

Funny, this very blog post is talking about why I think remote
creation should be under git push, not "git init --remote".

IMHO, maybe we also should change the error message that receive-pack
produces when the path its given isn't a Git repository.  Its really
not very human friendly to say "unable to chdir or not a git archive".
Hell, we don't even call them archives, we call them repositories.

-- 
Shawn.